Skip to content

Retrieve all available user actions that can be initiated on a specific object record which:

  • The authenticated user has permissions to view or initiate
  • Can be initiated through the API
GET/api/{version}/vobjects/{object_name}/{object_record_id}/actions
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{object_name}The object name__v field value.
{object_record_id}The object record id field value.
NameDescription
locOptional: When true, retrieves localized (translated) strings for the label.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v24.2/vobjects/product__v/00P000000000301/actions
{ "responseStatus": "SUCCESS", "data": [ { "links": [ { "rel": "metadata", "href": "/api/v24.2/vobjects/product__v/00P000000000301/actions/Objectlifecyclestateuseraction.product__v.active_state__c.start_workflow_useraction__c", "accept": "application/json", "method": "GET" }, { "rel": "execute", "href": "/api/v24.2/vobjects/product__v/00P000000000301/actions/Objectlifecyclestateuseraction.product__v.active_state__c.start_workflow_useraction__c", "accept": "application/json", "method": "POST" } ], "label": "Start Workflow", "type": "workflow", "name": "Objectlifecyclestateuseraction.product__v.active_state__c.start_workflow_useraction__c" } ] }

On SUCCESS, the response lists all available user actions that can be initiated on the specified object record.

  • For users with the View permission, the response includes a link to retrieve the metadata for the specified user action.
  • For users without the View permission, the response returns an INSUFFICIENT_ACCESS error.
  • For users with the Execute permission, the response includes a link to initiate the specified action.